local cow = {}

function cow:load(data)
    self.visible = true
    self.mob = false

    self.position = vec.new(data.x, data.y)
    self.velocity = vec.new()

    self.time = 0
    self.timeLeft = 2

    self.abductionInProgress = false
    self.dead = false

    self.particle = {
        abduction = fs.load("data/particles/abduction.lua")()[1],
        blood = fs.load("data/particles/blood.lua")()[1]
    }
    self.particle.blood.system:stop()
    self.particle.abduction.system:stop()

    self.animation = anim.new("data/art/bomb.png", 16, 16, 0, true)
    self.animation:start()
end

function cow:draw()
    self.animation:update(love.timer.getDelta())

    if self.position.y > groundY then
        lg.setColor(color.shadow)
        lg.ellipse("fill", self.position.x, self.position.y + scale / 2, scale * 0.5, scale * 0.2)
    end
    lg.setColor(color.white)

    self.particle.abduction.system:moveTo(self.position.x - (scale / 8), self.position.y + scale / 2)
    self.animation:draw(floor(self.position.x), floor(self.position.y), scale / 16, scale / 16)
end

return cow