--[[
module = {
	x=emitterPositionX, y=emitterPositionY,
	[1] = {
		system=particleSystem1,
		kickStartSteps=steps1, kickStartDt=dt1, emitAtStart=count1,
		blendMode=blendMode1, shader=shader1,
		texturePreset=preset1, texturePath=path1,
		shaderPath=path1, shaderFilename=filename1,
		x=emitterOffsetX, y=emitterOffsetY
	},
	[2] = {
		system=particleSystem2,
		...
	},
	...
}
]]
local LG        = love.graphics
local particles = {x=0, y=0}

local image1 = LG.newImage("data/art/circle.png")
image1:setFilter("linear", "linear")

local ps = LG.newParticleSystem(image1, 36)
ps:setColors(0.9921875, 0, 1, 0, 1, 0, 0.4453125, 1, 0.9949951171875, 1, 0.83984375, 0.37109375, 0.15234375, 1, 0.56292724609375, 0.0703125)
ps:setDirection(-1.5855011940002)
ps:setEmissionArea("uniform", 30.013233184814, 10.183364868164, 0, false)
ps:setEmissionRate(80.172779083252)
ps:setEmitterLifetime(-1)
ps:setInsertMode("top")
ps:setLinearAcceleration(0, -0.051036551594734, 0, 0.45932897925377)
ps:setLinearDamping(-0.0018373158527538, 0)
ps:setOffset(0, 50)
ps:setParticleLifetime(0.42478743195534, 0.69001418352127)
ps:setRadialAcceleration(-0.10207310318947, 0.10207310318947)
ps:setRelativeRotation(false)
ps:setRotation(-0.07393904030323, 0)
ps:setSizes(scale * 0.006)
ps:setSizeVariation(0.53993612527847)
ps:setSpeed(-57.344669342041, 329.26742553711)
ps:setSpin(2.7341787815094, 0)
ps:setSpinVariation(0.19488817453384)
ps:setSpread(0.11967971920967)
ps:setTangentialAcceleration(53.996673583984, 0)
table.insert(particles, {system=ps, kickStartSteps=0, kickStartDt=0, emitAtStart=0, blendMode="add", shader=nil, texturePath="circle.png", texturePreset="circle", shaderPath="", shaderFilename="", x=0, y=0})

return particles
