--[[
module = {
	x=emitterPositionX, y=emitterPositionY,
	[1] = {
		system=particleSystem1,
		kickStartSteps=steps1, kickStartDt=dt1, emitAtStart=count1,
		blendMode=blendMode1, shader=shader1,
		texturePreset=preset1, texturePath=path1,
		shaderPath=path1, shaderFilename=filename1,
		x=emitterOffsetX, y=emitterOffsetY
	},
	[2] = {
		system=particleSystem2,
		...
	},
	...
}
]]
local LG        = love.graphics
local particles = {x=0, y=0}

local image1 = LG.newImage("data/art/circle.png")
image1:setFilter("linear", "linear")

local ps = LG.newParticleSystem(image1, 90)
ps:setColors(1, 0, 0, 1, 1, 0, 0, 0)
ps:setDirection(1.5469913482666)
ps:setEmissionArea("none", 0, 0, 0, false)
ps:setEmissionRate(512)
ps:setEmitterLifetime(0.159800539165735)
ps:setInsertMode("top")
ps:setLinearAcceleration(-62.519775390625, 562.67797851563, 37.205646514893, 1258)
ps:setLinearDamping(-0.0018373158527538, 0)
ps:setOffset(0, 50)
ps:setParticleLifetime(0.14698527753353, 1.6331696510315)
ps:setRadialAcceleration(-0.10207310318947, 0.10207310318947)
ps:setRelativeRotation(false)
ps:setRotation(-0.07393904030323, 0)
ps:setSizes(scale * 0.01)
ps:setSizeVariation(0.96485620737076)
ps:setSpeed(37.746635437012, 133.94032287598)
ps:setSpin(2.7341787815094, 0)
ps:setSpinVariation(0.19488817453384)
ps:setSpread(6.2831854820251)
ps:setTangentialAcceleration(-0.10207310318947, 0)
table.insert(particles, {system=ps, kickStartSteps=0, kickStartDt=0, emitAtStart=57, blendMode="alpha", shader=nil, texturePath="circle.png", texturePreset="circle", shaderPath="", shaderFilename="", x=0, y=0})

return particles
