--[[
module = {
	x=emitterPositionX, y=emitterPositionY,
	[1] = {
		system=particleSystem1,
		kickStartSteps=steps1, kickStartDt=dt1, emitAtStart=count1,
		blendMode=blendMode1, shader=shader1,
		texturePreset=preset1, texturePath=path1,
		shaderPath=path1, shaderFilename=filename1,
		x=emitterOffsetX, y=emitterOffsetY
	},
	[2] = {
		system=particleSystem2,
		...
	},
	...
}
]]
local LG        = love.graphics
local particles = {x=253, y=-171}

local image1 = LG.newImage("data/art/circle.png")
image1:setFilter("linear", "linear")

local ps = LG.newParticleSystem(image1, 39)
ps:setColors(1, 0, 0, 0, 1, 0.5390625, 0, 1, 0.9949951171875, 1, 0.83984375, 0.37109375)
ps:setDirection(1.5707963705063)
ps:setEmissionArea("none", 0, 0, 0, false)
ps:setEmissionRate(59.83411026001)
ps:setEmitterLifetime(-1)
ps:setInsertMode("top")
ps:setLinearAcceleration(0, 132.74607849121, 0, 62.519775390625)
ps:setLinearDamping(-0.6175422668457, 0)
ps:setOffset(50, 50)
ps:setParticleLifetime(0.094070576131344, 0.20770243406296)
ps:setRadialAcceleration(0, 0)
ps:setRelativeRotation(false)
ps:setRotation(0, 0)
ps:setSizes(scale * 0.01)
ps:setSizeVariation(0)
ps:setSpeed(27.947616577148, 192.08116149902)
ps:setSpin(0, 0)
ps:setSpinVariation(0)
ps:setSpread(1.1369572877884)
ps:setTangentialAcceleration(0, 0)
table.insert(particles, {system=ps, kickStartSteps=0, kickStartDt=0, emitAtStart=0, blendMode="add", shader=nil, texturePath="circle.png", texturePreset="circle", shaderPath="", shaderFilename="", x=0, y=0})

return particles
