local game = {}

function game:load()
    self.world = ecs.new()
    self.world:loadSystemFromFolder("data/system")

    self.player = self.world:newEntity("data/entity/ufo.lua", 0, 0)
    self.player.control = false
    self.player.physics = false
    player = self.player

    self.score = 0
    self.total = total
    self.over = false
    self.won = false
    self.started = false
    self.startTime = 0

    self.cooldown = 1
    self.cooled = false
    self.cooldownTick = 0

    for i=1, self.total do
        local x = random(0, lg.getWidth() * 3)
        local y = random(groundY, lg.getHeight())
        self.world:newEntity("data/entity/cow.lua", x, y, {x = x, y = y})
    end
end

function game:gameover()
    self.over = true
    thrustSound:stop()
end

function game:win()
    local time = (love.timer.getTime() - self.startTime) * 100
    local timeInSeconds = floor(time * 100) / 100
    thrustSound:stop()
    scene:switch("win", "fade", {time = timeInSeconds, total = self.total})
end

function game:increaseScore()
    self.score = self.score + 1
    if self.score > highScore then
        highScore = self.score
    end

    if self.score == self.total then
        game:win()
    end
end

function game:update(dt)
    camera:set(self.player.position.x - (lg.getWidth() / 2), 0)
    camera:update(dt)
    camera:limit(0, 0, lg.getWidth() * 3, 0)

    if self.over then
        self.cooldownTick = self.cooldownTick + dt
        if self.cooldownTick > self.cooldown then
            if not self.cooled then
                scene:switch("menu", "fade")
                self.cooled = true
            end
        end
    end
    self.player.abductionCount = 0
end

function game:draw()
    camera:push()
    lg.setColor(color.white)
    lg.draw(bg, 0, 0, 0, worldWidth / bg:getWidth(), lg.getHeight() / bg:getHeight())

    local buffer = scale * 4
    local entity_list, len = self.world:queryRect(camera.x - buffer, camera.y - buffer, lg.getWidth() + (buffer * 2), lg.getHeight() + (buffer * 2))
    self.world:update(entity_list)
    camera:pop()

    lg.setFont(font.small)
    lg.print({color.white, "Mutilations: ", color.red, f("%d/%d", self.score, self.total)}, 12, 12)

    if not self.started then
        lg.setFont(font.medium)
        lg.printf({color.white, "Use the ", color.red, "arrow keys", color.white, " to move"}, 0, lg.getHeight() * 0.8, lg.getWidth(), "center")
    end

end

function game:keypressed(key)
    self.player.control = true
    self.player.physics = true
    self.started = true
    self.startTime = love.timer.getTime()
end

return game