local menu = {}

function menu:load()
    self.world = ecs.new()
    self.world:loadSystemFromFolder("data/system")
    self.player = self.world:newEntity("data/entity/ufo.lua", 0, 0)
    self.player.visible = false
    self.player.physics = false
    player = self.player
    for i=1, 5 do
        local x = random(0, lg.getWidth())
        local y = random(groundY, lg.getHeight())
        self.world:newEntity("data/entity/cow.lua", x, y, {x = x, y = y})
    end
    fs.write("highscore", "return "..highScore)
end

function menu:update(dt)
end

function menu:draw()
    lg.setColor(color.white)
    lg.draw(bg, 0, 0, 0, worldWidth / bg:getWidth(), lg.getHeight() / bg:getHeight())
    local entity_list = self.world:query()
    self.world:update(entity_list)


    local logoScale = scale * 0.12
    local logoWidth = logo:getWidth() * logoScale
    local logoHeight = logo:getHeight() * logoScale
    lg.draw(logo, (lg.getWidth() / 2) - (logoWidth / 2), lg.getHeight() * 0.2, 0, logoWidth / logo:getWidth(), logoHeight / logo:getHeight() )

    lg.setFont(font.medium)
    lg.printf({color.white, "Press ", color.red, "any key", color.white, " to start"}, 0, lg.getHeight() * 0.8, lg.getWidth(), "center")
    lg.setFont(font.small)
    lg.setColor(color.red)
    lg.printf(f("High score: %d", highScore), 0, lg.getHeight() * 0.39, lg.getWidth(), "center")
end

function menu:keypressed(key)
    if not scene:inTransition() then
        scene:switch("game", "fade")
    end
end

return menu