local physics = {}

function physics.filter(e)
    return e.abductable and not e.buried or false
end

function physics.process(e, dt)
    local abductionForce = scale
    local abductionRadius = scale * 2

    if fmath.distance(e.position.x, e.position.y, player.position.x, player.position.y) < abductionRadius and not player.dead and not e.dead then
        e.abductionInProgress = true        
        player.abductionCount = player.abductionCount + 1
        e.grounded = false
        e.particle.abduction.system:start()

        -- Calculating and applying abduction force
        local force = vec.new()
        force:setLength(scale / 2)
        force:setAngle(vec.angle(e.position, player.position))

        e.position:add(force, dt)
        e.velocity:set(0, 0)

        if e.position.y < abductionY then
            if not e.dead then
                scene:get():increaseScore()
                e.particle.blood.system:start()
                e.dead = true
                e.abductionInProgress = false
                e.explosion:play()
            end
        end
    else
        e.abductionInProgress = false
        e.particle.abduction.system:stop()
    end

end

return physics