local mobController = {}

function mobController.filter(e)
    return e.mob or false
end

function mobController.process(e, dt)
    e.time = e.time + dt
    local arriveZone = 10
    local abductionDistance = scale * 2
    if e.time > e.nextTime and not e.dead then
        -- Move
        newX = e.position.x + random(-e.moveRadius, e.moveRadius)
        if newX < 0 then newX = 0 elseif newX > lg.getWidth() * 4 then newX = lg.getWidth() * 4 end
        newY = random(groundY, lg.getHeight())
        e.targetPosition.x = newX
        e.targetPosition.y = newY
        e.time = 0
        e.nextTime = random(e.moveRate[1], e.moveRate[2])
    end

    if fmath.distance(e.targetPosition.x, e.targetPosition.y, e.position.x, e.position.y) > arriveZone and not e.abductionInProgress and not e.dead and e.grounded then
        local moveVector = vec.new()
        local speed = scale
        if e.position.y < groundY then
            speed = scale * 4
        end
        moveVector:setLength(speed)
        moveVector:setAngle(vec.angle(e.position, e.targetPosition))

        e.position:add(moveVector, dt)
    elseif e.dead and e.grounded then
        e.buried = true
    end
    e._SPATIAL.spatial:update_item_cell(e.position.x, e.position.y, e)
end

return mobController