local physics = {}

function physics.filter(e)
    return e.physics and e.position and e.velocity and not e.grounded and not e.abductionInProgress or false
end

function physics.process(e, dt)
    local gravity = scale * 4

    -- Gravity
    e.velocity.y = e.velocity.y + gravity * dt


    -- Applying velocity to position
    e.position:add(e.velocity, dt)

    -- Ground
    if e.position.y > e.groundY and not e.grounded then
        e.position.y = e.groundY
        e.grounded = true
        if e.land then
            e.land:setDirection(e.position.x, e.position.y, 0)
            e.land:setVolume(0.5)
            e.land:play()
        end
    end

    e._SPATIAL.spatial:update_item_cell(e.position.x, e.position.y, e)

end

return physics