local ufoController = {}

function ufoController.filter(e)
    return e.control or false
end

function ufoController.process(e, dt)
    local keyDown = {}
    for i, key in pairs(config.controls) do
        if kb.isDown(key) then
            keyDown[i] = true
        end
    end 

    -- Adjusting vertical acceleration based on how many cows are getting abducted
    local verticalAcceleration = e.verticalAcceleration
    if e.abductionCount > 0 then
        verticalAcceleration = e.verticalAcceleration - (e.abductionCount * scale)
    end

    local thrust = false
    if keyDown["moveUp"] then
        e.acceleration.y = -verticalAcceleration
        thrust = true
    else
        e.acceleration.y = 0
    end

    if keyDown["moveLeft"] then
        e.acceleration.x = -e.horizontalAcceleration
    elseif keyDown["moveRight"] then
        e.acceleration.x = e.horizontalAcceleration
    else
        e.acceleration.x = 0
    end

    -- Particles and sound effect
    if thrust and not e.dead then
        e.particle.thrust.system:start()
        e.targetThrust = 1
    else
        e.particle.thrust.system:stop()
        e.targetThrust = 0
    end

    -- Applying velocity
    if not e.dead then
        e.velocity:add(e.acceleration, dt)
        e.velocity:limit(maxVelocity)
        e.position:add(e.velocity, dt)
    end

    -- Death
    if e.grounded or e.position.x < 0 or e.position.x > lg.getWidth() * 4 or e.position.y < 0 then
        if not e.dead then
            e.explosion:setFrame(2)
            e.explosion:start()
            e.dead = true
            scene:get():gameover()
            explosion:play()
        end
    end
    -- Updating item cell in spatial
    e._SPATIAL.spatial:update_item_cell(e.position.x, e.position.y, e)
end

return ufoController