-- Transition stages: in, out, finished
local swipe = {}

function swipe:load()
    self.stage = "in"
    self.progress = 0
    self.speed = 3
end

function swipe:update(dt)
    if self.stage == "in" then
        self.progress = self.progress + (1.1 - self.progress) * self.speed * dt
        if self.progress > 1 then
            self.stage = "out" 
        end
    elseif self.stage == "out" then
        self.progress = self.progress + (0 - self.progress) * self.speed * dt
        if self.progress < 0.01 then
            self.stage = "finished" 
        end
    end
end

function swipe:draw()
    lg.setColor(0, 0, 0, 1)
    lg.rectangle("fill", 0, 0, lg.getWidth() * self.progress, lg.getHeight())
end

return swipe